Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.groupJep
Interface GroupI

All Known Subinterfaces:
  AbelianGroupI, FieldI, IntegralDomainI, RingI

All Known Implementing Classes:
  AlgebraicExtension, BigReals, ExtendedFreeGroup, FreeGroup, Group, Integers, PermutationGroup, Quaternions, Rationals, Reals, Zn

    public interface GroupI

Represents a group with an identity, and addition operator.

Author:
  Rich Morris Created on 05-Mar-2004

Method Summary
`java.lang.Number` | `add(java.lang.Number a, java.lang.Number b)` Get sum of the numbers
`void` | `addStandardConstants(JEP j)` adds the standard constants for this group
`void` | `addStandardFunctions(JEP j)` adds the standard function for this group
`boolean` | `equals(java.lang.Number a, java.lang.Number b)` whether two numbers are equal
`java.lang.Number` | `getInverse(java.lang.Number num)` Get Inverse of a number
`NumberFactory` | `getNumberFactory()` returns a number factory for creating group elements from strings.
`java.lang.Number` | `getZERO()` Returns the identity element under +
`boolean` | `isConstantPoly(java.lang.Number a)` For groups like rings of polynomials this determins if a given element is a constant polynomial.
`java.lang.Number` | `sub(java.lang.Number a, java.lang.Number b)` Get the difference of the numbers.
`java.lang.Number` | `valueOf(java.lang.String s)` returns number given by the string

Method Detail

### getZERO

    java.lang.Number getZERO()

  Returns the identity element under +

### getInverse

    java.lang.Number getInverse(java.lang.Number num)

  Get Inverse of a number

### add

    java.lang.Number add(java.lang.Number a,
                         java.lang.Number b)

  Get sum of the numbers

### sub

    java.lang.Number sub(java.lang.Number a,
                         java.lang.Number b)

  Get the difference of the numbers. i.e. a + (-b)

### equals

    boolean equals(java.lang.Number a,
                   java.lang.Number b)

  whether two numbers are equal

### valueOf

    java.lang.Number valueOf(java.lang.String s)

  returns number given by the string

### getNumberFactory

    NumberFactory getNumberFactory()

  returns a number factory for creating group elements from strings. Most groups which are subclasses of `Group` do not need to implement this method.

### addStandardConstants

    void addStandardConstants(JEP j)

  adds the standard constants for this group

### addStandardFunctions

    void addStandardFunctions(JEP j)

  adds the standard function for this group

### isConstantPoly

    boolean isConstantPoly(java.lang.Number a)

  For groups like rings of polynomials this determins if a given element is a constant polynomial.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems